/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.hotdeploy;

import junit.framework.Test;
import org.jboss.test.JBossTestCase;

import java.net.URL;


/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.8.3 $
 */
public class HotdeployTestCase
extends JBossTestCase
{
   org.apache.log4j.Category log = getLog();

   static boolean deployed = false;
   static int test = 0;

   public HotdeployTestCase(String name)
   {

      super(name);

   }

   public void testRemote() throws Exception
   {
      URL url = new URL("http://localhost:8080/hotdeploy/AOP");
      url.openConnection().getContent();
   }

   public static Test suite() throws Exception
   {
      return getDeploySetup(HotdeployTestCase.class, "hotdeploy.war");
   }

}
